package cn.com.poc.thirdparty.resource.minerU;

import java.io.File;

/**
 * @author alex.yao
 * @date 2025/10/30
 */
public class MinerUResponse {

    private File files;

    private String output_dir = "/hy-tmp/output";

    private String lang_list = "ch";

    private String backend = "vlm-vllm-async-engine";

    private String parse_method = "ocr";

    private boolean formula_enable = true;

    private boolean table_enable = true;

    private String server_url = "";

    private boolean return_md = true;

    private boolean return_middle_json = false;

    private boolean return_model_output = false;

    private boolean return_content_list = false;

    private boolean return_images = false;

    private boolean response_format_zip = false;

    private Integer start_page_id = 0;

    private Integer end_page_id = 200;

    public File getFiles() {
        return files;
    }

    public void setFiles(File files) {
        this.files = files;
    }

    public String getOutput_dir() {
        return output_dir;
    }

    public void setOutput_dir(String output_dir) {
        this.output_dir = output_dir;
    }

    public String getLang_list() {
        return lang_list;
    }

    public void setLang_list(String lang_list) {
        this.lang_list = lang_list;
    }

    public String getBackend() {
        return backend;
    }

    public void setBackend(String backend) {
        this.backend = backend;
    }

    public String getParse_method() {
        return parse_method;
    }

    public void setParse_method(String parse_method) {
        this.parse_method = parse_method;
    }

    public boolean getFormula_enable() {
        return formula_enable;
    }

    public void setFormula_enable(boolean formula_enable) {
        this.formula_enable = formula_enable;
    }

    public boolean getTable_enable() {
        return table_enable;
    }

    public void setTable_enable(boolean table_enable) {
        this.table_enable = table_enable;
    }

    public String getServer_url() {
        return server_url;
    }

    public void setServer_url(String server_url) {
        this.server_url = server_url;
    }

    public boolean getReturn_md() {
        return return_md;
    }

    public void setReturn_md(boolean return_md) {
        this.return_md = return_md;
    }

    public boolean getReturn_middle_json() {
        return return_middle_json;
    }

    public void setReturn_middle_json(boolean return_middle_json) {
        this.return_middle_json = return_middle_json;
    }

    public boolean getReturn_model_output() {
        return return_model_output;
    }

    public void setReturn_model_output(boolean return_model_output) {
        this.return_model_output = return_model_output;
    }

    public boolean getReturn_content_list() {
        return return_content_list;
    }

    public void setReturn_content_list(boolean return_content_list) {
        this.return_content_list = return_content_list;
    }

    public boolean getReturn_images() {
        return return_images;
    }

    public void setReturn_images(boolean return_images) {
        this.return_images = return_images;
    }

    public boolean getResponse_format_zip() {
        return response_format_zip;
    }

    public void setResponse_format_zip(boolean response_format_zip) {
        this.response_format_zip = response_format_zip;
    }

    public Integer getStart_page_id() {
        return start_page_id;
    }

    public void setStart_page_id(Integer start_page_id) {
        this.start_page_id = start_page_id;
    }

    public Integer getEnd_page_id() {
        return end_page_id;
    }

    public void setEnd_page_id(Integer end_page_id) {
        this.end_page_id = end_page_id;
    }
}
